unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ComCtrls, StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    DateTimePicker1: TDateTimePicker;
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
var czasDTP, czasakt, roznica: TDateTime;
    godz,min,sek,msek: word;
begin
  czasakt:=Time;
  //***
 // DecodeTime(czasakt,godz,min,sek,msek); //dekodowanie i ponowne tworzenie daty
 // czasakt:=EncodeTime(godz,min,sek,0); //ma na celu usunięcie milisekund
  //***

  czasDTP:=DateTimePicker1.Time;//pobranie czasu ustawionego w DatetimePikerze


  //***
  //DecodeTime(czasDTP,godz,min,sek,msek);
  //czasDTP:=EncodeTime(godz,min,sek,0);
  //***

  if czasakt>=czasDTP then
    roznica:=czasakt-czasDTP
  else
    roznica:=czasDTP-czasakt;

  DecodeTime(roznica,godz,min,sek,msek);
  Label3.Caption:='Czas aktualny:               '+TimeToStr(czasakt);
  Label4.Caption:='Czas z DateTimePickera: '+ TimeToStr(DateTimePicker1.Time);
  Label2.Caption:='Różnica między czasem ustawionym w DTP'+#13+'a czasem aktualnym'+
           ' wynosi: '+InttoStr(godz)+'godz, '+InttoStr(min)+'min, '+InttoStr(sek)+'sek';
end;

end.
